## python-aioxmpp 0.12.2

=== Makefile ===
BUILDUI=../utils/buildui.py -5

UIC_SOURCE_FILES=$(wildcard adhoc_browser/ui/*.ui)
UIC_PYTHON_FILES=$(patsubst %.ui,%.py,$(UIC_SOURCE_FILES))

all: $(UIC_PYTHON_FILES)

clean:
	rm -rf $(UIC_PYTHON_FILES)

$(UIC_PYTHON_FILES): %.py: %.ui
	$(BUILDUI) $< $@

## python-aioxmpp 0.10.3

=== debian/changelog ===
python-aioxmpp (0.10.3-3) unstable; urgency=medium

  * Fix test failure due to updated Python 3.7. This applies the
    unreleased upstream commit 13ab00d [1].

    [1]: https://github.com/horazont/aioxmpp/commit/
         13ab00d64094b9a13d9d6984d7509bb40efb1fce

    closes: #924801

 -- Jonas Schäfer <jonas@wielicki.name>  Thu, 21 Mar 2019 17:00:14 +0100

python-aioxmpp (0.10.3-2) unstable; urgency=medium

  * Use CI=true mode [1] for tests during package build, to prevent
    spurious failures.

    [1]: https://github.com/horazont/aioxmpp/commit/
         bce5f2d632cde1f3517bb4ff18d8c0ee7255a283

  * Set Multi-Arch: foreign on doc package

 -- Jonas Schäfer <jonas@wielicki.name>  Sat, 23 Feb 2019 16:54:49 +0100

python-aioxmpp (0.10.3-1) unstable; urgency=medium

  * New upstream release.

    * Fixes denial of service and possible stanza injection vulnerability.
      see https://github.com/horazont/aioxmpp/pull/268

 -- Jonas Schäfer <jonas@wielicki.name>  Sat, 12 Jan 2019 15:07:10 +0100

python-aioxmpp (0.10.2-1) unstable; urgency=medium

  * New upstream release.

    * Python 3.7 compatibility. (Closes: #917659)

 -- Jonas Schäfer <jonas@wielicki.name>  Tue, 01 Jan 2019 15:08:16 +0100

python-aioxmpp (0.10.1-1) unstable; urgency=medium

  * Initial release. (Closes: #819589)

 -- Jonas Schäfer <jonas@wielicki.name>  Sat, 17 Nov 2018 12:21:39 +0100

=== debian/control ===
Source: python-aioxmpp
Maintainer: Jonas Schäfer <jonas@wielicki.name>
Section: python
Priority: optional
Standards-Version: 4.1.5
Build-Depends:
 debhelper (>= 11),
 python3 (>= 3.3),
 dh-python,
 python3-aioopenssl,
 python3-aiosasl (>= 0.3),
 python3-babel,
 python3-dnspython,
 python3-lxml,
 python3-multidict (>= 2.0),
 python3-nose,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-setuptools,
 python3-sortedcollections (>= 0.5),
 python3-sphinx,
 python3-tz,
 python3-tzlocal,
Rules-Requires-Root: no
Homepage: https://github.com/horazont/aioxmpp
Vcs-Git: https://salsa.debian.org/jssfr-guest/python-aioxmpp.git
Vcs-Browser: https://salsa.debian.org/jssfr-guest/python-aioxmpp

Package: python3-aioxmpp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: XMPP/Jabber client library for asyncio
 A pure-python XMPP client library using asyncio. It implements the internet
 standards RFC 6120, RFC 6121, and RFC 6122, as well as several XMPP Extension
 Proposals (XEPs).

Package: python3-aioxmpp-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: XMPP/Jabber client library for asyncio (documentation)
 A pure-python XMPP client library using asyncio. It implements the internet
 standards RFC 6120, RFC 6121, and RFC 6122, as well as several XMPP Extension
 Proposals (XEPs).

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=aioxmpp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	CI=true pybuild --test --test-nose

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0; \
	export PYTHONHASHSEED; \
	PYTHONPATH=. http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' make \
		   SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		   docs-html

override_dh_auto_clean:
	dh_auto_clean
	make docs-clean

## python-aioxmpp 0.11.0

=== debian/changelog ===
python-aioxmpp (0.11.0-1) unstable; urgency=medium

  * New upstream release. See docs for changelog.
    - Python 3.8 compatibility (Closes: #954570)

 -- Jonas Schäfer <jonas@wielicki.name>  Sat, 11 Apr 2020 16:14:18 +0200

## python-aioxmpp 0.12.0

=== debian/changelog ===
python-aioxmpp (0.12.0-1) unstable; urgency=medium

  * New upstream release. See docs for changelog.
    - Python 3.9 compatibility (Closes: #975801)
    - Drop support for Python < 3.5

 -- Jonas Schäfer <jonas@wielicki.name>  Sat, 16 Jan 2021 13:31:06 +0100

## python-aioxmpp 0.12.2

=== debian/changelog ===
python-aioxmpp (0.12.2-1) unstable; urgency=medium

  * New upstream release. See docs for changelog.
    - Fixes a minor resource leaks

 -- Jonas Schäfer <jonas@wielicki.name>  Sat, 27 Feb 2021 15:24:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 4.1.5
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  python3 (>= 3.3),
  dh-python,
  python3-aioopenssl,
@@ -23,8 +23,8 @@
  python3-tzlocal,
 Rules-Requires-Root: no
 Homepage: https://github.com/horazont/aioxmpp
-Vcs-Git: https://salsa.debian.org/jssfr-guest/python-aioxmpp.git
-Vcs-Browser: https://salsa.debian.org/jssfr-guest/python-aioxmpp
+Vcs-Git: https://salsa.debian.org/jssfr/python-aioxmpp.git
+Vcs-Browser: https://salsa.debian.org/jssfr/python-aioxmpp
 
 Package: python3-aioxmpp
 Architecture: all

## python-aioxmpp 0.13.1

=== debian/changelog ===
python-aioxmpp (0.13.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes critical bug which broke message reception with XEP-0359 stanza
      IDs.

 -- Jonas Schäfer <jonas@wielicki.name>  Mon, 20 Dec 2021 19:31:25 +0100

python-aioxmpp (0.13.0-1) unstable; urgency=medium

  * New upstream release.
    - Sphinx compatibility (Closes: #997426)
  * Follow upstream on using pytest for testing

 -- Jonas Schäfer <jonas@wielicki.name>  Sun, 19 Dec 2021 12:32:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  python3-dnspython,
  python3-lxml,
  python3-multidict (>= 2.0),
- python3-nose,
  python3-pyasn1,
  python3-pyasn1-modules,
+ python3-pytest,
  python3-setuptools,
  python3-sortedcollections (>= 0.5),
  python3-sphinx,

## python-aioxmpp 0.13.3

=== debian/changelog ===
python-aioxmpp (0.13.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes hang on certain stream management error conditions.
    - Python 3.11 compatibility (Closes: #1028835)

 -- Jonas Schäfer <jonas@wielicki.name>  Sun, 05 Feb 2023 11:11:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-	CI=true pybuild --test --test-nose
+	CI=true pybuild --test --test-pytest
 
 override_dh_auto_build:
 	dh_auto_build
